Bug 430794 - Mono based apps crash (tomboy, f-spot)
Mono based apps crash (tomboy, f-spot)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
8
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 15:13 EST by Khashayar Naderehvandi
Modified: 2009-01-09 00:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:52:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of f-spot (4.61 KB, text/plain)
2008-01-29 15:14 EST, Khashayar Naderehvandi
no flags Details
output of tomboy (8.04 KB, text/plain)
2008-01-29 15:14 EST, Khashayar Naderehvandi
no flags Details

  None (edit)
Description Khashayar Naderehvandi 2008-01-29 15:13:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; sv-SE; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:

Whenever I attempt to start a mono based app (at least this is true for f-spot and tomboy, but I am willing to try other apps if need be), it indefinitely crashes.

I will attach the output of both f-spot and tomboy.

This was the case when fedora 8 was just installed (i.e. without any updates), and it is the case now after all appropriate updates have been installed.

Please let me know how I can further help to debug this problem.

Version-Release number of selected component (if applicable):
mono-core-1.2.5.1-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. Install Fedora 8, PPC version
2. Attempt to start either f-spot or tomboy
3.

Actual Results:
Got a SIGSEGV while executing native code

Expected Results:
Working mono applications...

Additional info:
Comment 1 Khashayar Naderehvandi 2008-01-29 15:14:18 EST
Created attachment 293329 [details]
output of f-spot
Comment 2 Khashayar Naderehvandi 2008-01-29 15:14:46 EST
Created attachment 293330 [details]
output of tomboy
Comment 3 Paul F. Johnson 2008-10-20 08:07:40 EDT
[DEBUG]: Unable to locate 'gnomesu' in your PATH
[DEBUG]: Unable to locate 'gksu' in your PATH
[DEBUG]: Unable to locate 'gksudo' in your PATH
[DEBUG]: Unable to locate 'kdesu' in your PATH
[WARN]: No GUI 'su' tool found
[DEBUG]: Failed to find all system tools for SyncUtils


I think this may have something to do with the fails. Can you try and run monodevelop and see if that falls over?

I know for the PPC, the mono stack is not fully complete and this may give problems.
Comment 4 Bug Zapper 2008-11-26 04:37:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:52:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.